- MongoDB C Driver 1.13.1 »
- API Reference »
- mongoc_gridfs_file_list_t

# mongoc_gridfs_file_list_error()

## Synopsis

    bool
    mongoc_gridfs_file_list_error (mongoc_gridfs_file_list_t *list,
                                   bson_error_t *error);

## Parameters

- `list`: A mongoc_gridfs_file_list_t.
- `error`: An optional location for a bson_error_t or `NULL`.

## Description

Fetches any error that has occurred while trying to retrieve the file list.

## Errors

Errors are propagated via the `error` parameter.

## Returns

false if no error has been registered, otherwise true and error is set.

Created using Sphinx 1.8.3, based on Sphinx Readable Theme.